Name:          docbook5-style-xsl
Version:       1.79.2
Release:       %mkrel 6
Summary:       Norman Walsh's XSL stylesheets for DocBook 5.X
Group:         Publishing
License:       MIT, MPLv1.1
Url:           https://github.com/docbook/xslt10-stylesheets
Source0:       https://github.com/docbook/xslt10-stylesheets/releases/download/release%2F{%version}/docbook-xsl-%{version}.tar.bz2
Patch1:        0001-Fix-insecure-tmpdir-creation.patch
Provides:      docbook-xsl-ns = %{version}
# required /usr/bin/xmlcatalog
Requires(post): libxml2-utils
Requires(postun): libxml2-utils
Requires(post): xml-common
Requires(postun): xml-common

Requires:      xml-common

BuildArch:     noarch

%description
These XSL namespace aware stylesheets allow you to transform any
DocBook 5 document to other formats, such as HTML, manpages, FO,
XHMTL and other formats. They are highly customizable. For more
information see W3C page about XSL.

%prep
%setup -q -n docbook-xsl-%{version}
%patch -P 1 -p2 -b .TMPDIR

rm -rf $(find -name '.gitignore' -type f)
chmod +x epub/bin/dbtoepub

%build

%install
mkdir -p %{buildroot}%{_datadir}/sgml/docbook/xsl-ns-stylesheets-%version
cp -a [[:lower:]]* %{buildroot}%{_datadir}/sgml/docbook/xsl-ns-stylesheets-%version/
cp -a VERSION VERSION.xsl %{buildroot}%{_datadir}/sgml/docbook/xsl-ns-stylesheets-%version/
ln -s xsl-ns-stylesheets-%{version} %{buildroot}%{_datadir}/sgml/docbook/xsl-ns-stylesheets

rm -rf %{buildroot}%{_datadir}/sgml/docbook/xsl-ns-stylesheets/extensions
rm -rf %{buildroot}%{_datadir}/sgml/docbook/xsl-ns-stylesheets/install.sh

%post
CATALOG=/etc/xml/catalog
%{_bindir}/xmlcatalog --noout --add "rewriteSystem" \
 "http://cdn.docbook.org/release/xsl/%{version}" \
 "file://%{_datadir}/sgml/docbook/xsl-ns-stylesheets-%{version}" $CATALOG
%{_bindir}/xmlcatalog --noout --add "rewriteURI" \
 "http://cdn.docbook.org/release/xsl/%{version}" \
 "file://%{_datadir}/sgml/docbook/xsl-ns-stylesheets-%{version}" $CATALOG
%{_bindir}/xmlcatalog --noout --add "rewriteSystem" \
 "http://cdn.docbook.org/release/xsl/current/" \
 "file://%{_datadir}/sgml/docbook/xsl-ns-stylesheets-%{version}" $CATALOG
%{_bindir}/xmlcatalog --noout --add "rewriteURI" \
 "http://cdn.docbook.org/release/xsl/current/" \
 "file://%{_datadir}/sgml/docbook/xsl-ns-stylesheets-%{version}" $CATALOG

%{_bindir}/xmlcatalog --noout --add "rewriteSystem" \
 "http://docbook.sourceforge.net/release/xsl-ns/current" \
 "file://%{_datadir}/sgml/docbook/xsl-ns-stylesheets-%{version}" $CATALOG
%{_bindir}/xmlcatalog --noout --add "rewriteURI" \
 "http://docbook.sourceforge.net/release/xsl-ns/current" \
 "file://%{_datadir}/sgml/docbook/xsl-ns-stylesheets-%{version}" $CATALOG

%postun
if [ "$1" = 0 ]; then
CATALOG=/etc/xml/catalog
%{_bindir}/xmlcatalog --noout --del \
"file:///usr/share/sgml/docbook/xsl-ns-stylesheets-%{version}" $CATALOG
fi

%files
%{_datadir}/sgml/docbook/xsl-ns-stylesheets
%{_datadir}/sgml/docbook/xsl-ns-stylesheets-%{version}
%doc BUGS COPYING NEWS README RELEASE-NOTES.* TODO


%changelog
* Mon Jun 30 2025 umeabot <umeabot> 1.79.2-6.mga10
+ Revision: 2231590
- Mageia 10 Mass Rebuild

* Sat Dec 21 2024 pterjan <pterjan> 1.79.2-5.mga10
+ Revision: 2127229
- Rebuild for patchN deprecation

* Mon Mar 21 2022 umeabot <umeabot> 1.79.2-4.mga9
+ Revision: 1811659
- Mageia 9 Mass Rebuild

* Sat Feb 15 2020 umeabot <umeabot> 1.79.2-3.mga8
+ Revision: 1526134
- Mageia 8 Mass Rebuild

* Fri Apr 26 2019 shlomif <shlomif> 1.79.2-2.mga7
+ Revision: 1395668
- Fix tmpdir() in dbtoepub.
  See https://github.com/docbook/xslt10-stylesheets/pull/144 .

* Sun Dec 30 2018 luigiwalser <luigiwalser> 1.79.2-1.mga7
+ Revision: 1346629
- 1.79.2
- update URLs

* Thu Sep 20 2018 umeabot <umeabot> 1.79.1-3.mga7
+ Revision: 1278039
- Mageia 7 Mass Rebuild

* Sun May 06 2018 wally <wally> 1.79.1-2.mga7
+ Revision: 1226849
- require xml-common

* Thu Aug 11 2016 luigiwalser <luigiwalser> 1.79.1-1.mga6
+ Revision: 1045486
- 1.79.1

* Fri Feb 05 2016 umeabot <umeabot> 1.78.1-8.mga6
+ Revision: 937571
- Mageia 6 Mass Rebuild

* Fri Feb 05 2016 umeabot <umeabot> 1.78.1-7.mga6
+ Revision: 937140
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.78.1-6.mga5
+ Revision: 744689
- Second Mageia 5 Mass Rebuild

* Fri Sep 26 2014 tv <tv> 1.78.1-5.mga5
+ Revision: 725048
- rebuild for bogus file deps

* Tue Sep 16 2014 umeabot <umeabot> 1.78.1-4.mga5
+ Revision: 678792
- Mageia 5 Mass Rebuild

* Wed Jan 15 2014 shlomif <shlomif> 1.78.1-3.mga4
+ Revision: 566607
- Include VERSION.xsl in the install. (mga#12274).

* Tue Oct 22 2013 umeabot <umeabot> 1.78.1-2.mga4
+ Revision: 541355
- Mageia 4 Mass Rebuild

* Sat Oct 12 2013 fwang <fwang> 1.78.1-1.mga4
+ Revision: 495659
- new version 1.78.1

* Fri Jan 11 2013 umeabot <umeabot> 1.76.1-2.mga3
+ Revision: 349051
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 01 2011 gil <gil> 1.76.1-1.mga2
+ Revision: 161048
- imported package docbook5-style-xsl

